#
# spec file for package ucm
#
# Copyright (c) 2024 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           ucm
%define	appdefdir  /usr/share/X11
%define xmandir    /usr/share/man
%define xbindir    /usr/bin
Summary:        Unicode Font Viewer
License:        BSD-3-Clause AND MIT
Group:          System/X11/Utilities
Version:        0.3
Release:        544.2
Requires:       gnu-unifont
URL:            http://www.pps.jussieu.fr/~jch
Source:         http://www.pps.jussieu.fr/~jch/software/files/ucm-0.3.tar.bz2
Patch0:         ucm-0.3.patch
Patch1:         ucm-gcc14-fix.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  imake
BuildRequires:  pkgconfig(x11)
BuildRequires:  pkgconfig(xaw7)
BuildRequires:  pkgconfig(xmu)
BuildRequires:  pkgconfig(xt)

%description
Ucm is a small xfs-like widget specifically designed for Unicode fonts.
 As opposed to xfs, ucm allows you to select an arbitrary character
which can then be pasted into another application or identify an
arbitrary character by pasting it into ucm.

%prep
%autosetup -p1
head -n 20 ucm.c > License

%build
export CFLAGS="$RPM_OPT_FLAGS"
xmkmf
make

%install
make install DESTDIR=$RPM_BUILD_ROOT
make install.man DESTDIR=$RPM_BUILD_ROOT

%clean

%files
%defattr(-,root,root)
%doc README License
%{xbindir}/*
%{xmandir}/man1/*
%{appdefdir}/app-defaults

%changelog
* Tue Aug 27 2024 Takashi Iwai <tiwai@suse.com>
- Fix the build errors with gcc14:
  ucm-gcc14-fix.patch
* Tue Feb 20 2024 Dominique Leuenberger <dimstar@opensuse.org>
- Use %%autosetup macro. Allows to eliminate the usage of deprecated
  %%patchN
* Wed Feb 14 2018 crrodriguez@opensuse.org
- Remove buildrequires on Xfreee86-devel
* Thu Feb 28 2013 coolo@suse.com
- update license to new format
* Tue Feb 28 2012 tiwai@suse.de
- fix filelist to build properly on FACTORY
* Mon Nov  8 2010 coolo@novell.com
- remove support for pre-9.1
* Wed Jan 23 2008 mfabian@suse.de
- add “Requires: gnu-unifont”.
- clean up specfile and fix rpmlint warnings.
* Fri Aug  4 2006 mfabian@suse.de
- adapt for Xorg X11R7 (paths changed).
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Sat Jan 10 2004 adrian@suse.de
- build as user
* Sun Aug 18 2002 mfabian@suse.de
- update to 0.3
- make the Gnu Unifont the default font
- add License to file list
- remove obsolete XA_UTF8_STRING patch
* Mon Mar 12 2001 ke@suse.de
- Spec file: Add xf86 to neededforbuild.
* Tue Dec 19 2000 ke@suse.de
- XA_UTF8_STRING is already defined; thanks to Stefan Dirsch for
  providing a patch [#4699].
* Mon Nov 20 2000 ke@suse.de
- Initial package: version 0.1.
